/* phost - displays important stuff from hptr queries */
/* Mark Kamichoff <kamicm@rpi.edu>                    */

#include<stdio.h>
#include<netdb.h>
#include<string.h>

#ifndef _VERSION_
#define _VERSION_ "unknown"
#endif

int main(int argc, char **argv)
{
	struct hostent *hptr;
	struct in_addr ** pptr;
	char str[INET6_ADDRSTRLEN];

	if(argc == 1)
	{
		printf("Syntax: %s <name/ip>\n",argv[0]);
		exit(1);
	}
	else if(argc > 2)
	{
		printf("Syntax: %s <name/ip>\n",argv[0]);
		exit(1);
	}
	else if((argc == 2) && (strcmp(argv[1],"--version") == 0))
	{
		printf("%s\n",_VERSION_);
		exit(1);
	}
	else
	{
		printf("phost %s\n",_VERSION_);
	}

	hptr = gethostbyname(argv[1]);

	if(hptr == NULL)
	{
		fprintf(stderr, "Resolver returner an error for %s\n",
			argv[1]);
		exit(1);
	}

	pptr = (struct in_addr **) hptr->h_addr_list;
	
	if(strcmp(hptr->h_name, argv[1]) == 0)	/* user gave ip */
	{
		
	}
	else	/* user gave host */
	{
		printf("h_name for %s returned %s\n", argv[1], hptr->h_name);
		printf("IP Addresses for %s are as follows:\n", hptr->h_name);
		while(*pptr != NULL)
		{
			printf("\t%s\n", inet_ntop(hptr->h_addrtype,
				*pptr, str, sizeof(str)));
			pptr++;
		}
	}

	exit(0);
}
